Subject: [IPTEL] RE: [SIP] CPL and new XML options.

From: Jonathan Rosenberg <[email-masked]>
Date: Thu, 28 Dec 2000 23:56:13 -0500

> -----Original Message-----
> From: Anuraj Ennai [mailto:[email-masked]]
> Sent: Tuesday, December 26, 2000 4:45 AM
> To: sip
> Subject: [SIP] CPL and new XML options.
> 
> 
> Hi all,
> I know this is not the place to raise issues about CPL.
> But still, it seems appropriate to discuss it with a
> wider audience.
> 
> It is evident that the intent of CPL is not just data
> representation (pure XML as portable data), but also
> processing of certain criteria. In the present CPL format,
> the processing instructions and data represenation are
> intertwined  together, limiting the application scope.
> (Eg. matching of strings, conditional branches etc provided
> in the XML doc itself.)

This makes no sense to me whatsoever.

XML is just a way to represent structured data. Thats it. Other examples of
ways to represent structured data are ASN.1, "pure binary", etc. Saying that
we should use XML only for the data representation, and something else for
the semantics, is like saying we should develop a protocol in binary whose
fields have no meaning, and can thus be zero length. The whole point of XML
is to represent data that has some semantic meaning to someone.

> 
> I believe it will be beneficial to separate both aspects.
> Use the XML format for data and XSL/XSLT with
> emerging XPATH/XPOINTER specs for filtering/
> processing. 

Well, we can throw in some more cool XML acronyms, but I still fail to see
the point here. The things you mention are all related to transformations.
What do you want to transform a CPL document to, and why?

---
Jonathan D. Rosenberg                       72 Eagle Rock Ave.
Chief Scientist                             First Floor
dynamicsoft                                 East Hanover, NJ 07936
[email-masked]                     FAX:   (973) 952-5050
http://www.cs.columbia.edu/~jdrosen         PHONE: (973) 952-5000
http://www.dynamicsoft.com

_______________________________________________
IPTEL mailing list
[email-masked]
http://lists.bell-labs.com/mailman/listinfo/iptel